%define cleanerml_snap	20220427

Name:		bleachbit
Version:	4.4.2
Release:        %mkrel 2
Summary:	Remove unnecessary files, free space, and maintain privacy
License:	GPLv3+
Group:		System/Configuration
URL:		https://www.bleachbit.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# provides additional cleaner plugins, taken from https://github.com/az0/cleanerml via
# rm -rf cleanerml && git clone https://github.com/az0/cleanerml.git && cd cleanerml
# git archive --prefix=cleanerml-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../cleanerml-$(date +%Y%m%d).tar.xz
Source2:	cleanerml-%{cleanerml_snap}.tar.xz
Patch2:		bleachbit-disable-update-check.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3dist(setuptools)
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
Requires:	python3-chardet
Requires:	python3-gobject

%description
BleachBit deletes unnecessary files to free valuable disk space, maintain
privacy, and remove junk. Rid your system of old clutter including cache,
cookies, Internet history, localizations, logs, temporary files, and broken
shortcuts. It wipes clean the cache and history list of many common programs.

%prep
%setup -a 2 -qn %{name}-%{version}
%autopatch -p1

%build
# delete windows files
%make_build delete_windows_files

# adapted from Makefile to clean cleanerml
awk '/os="windows/ && /id="/ {print FILENAME}' cleanerml-%{cleanerml_snap}/release/*.xml | xargs rm -f

%py3_build

%install
%make_install prefix=%{_prefix}

# remove shebang as those files are not executable and not meant to be run by users
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/CLI.py
sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/%{name}/GUI.py

# install additional released cleaner plugins from cleanerml snapshot
install -m 644 cleanerml-%{cleanerml_snap}/release/*.xml %{buildroot}%{_datadir}/%{name}/cleaners

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.bleachbit.BleachBit.desktop
%{_metainfodir}/org.bleachbit.BleachBit.metainfo.xml
%{_datadir}/polkit-1/actions/org.bleachbit.policy
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png


%changelog
* Wed May 25 2022 wally <wally> 4.4.2-2.mga9
+ Revision: 1860131
- disable upstream update check (mga#30461)

* Sun May 22 2022 wally <wally> 4.4.2-1.mga9
+ Revision: 1859821
- new version 4.4.2
- update cleanerml to 20220427 snapshot

* Sat Mar 26 2022 umeabot <umeabot> 4.1.0-2.mga9
+ Revision: 1828342
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 daviddavid <daviddavid> 4.1.0-1.mga8
+ Revision: 1620379
- new version: 4.1.0

* Mon Aug 31 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1620351
- new version: 4.0.0

* Fri Mar 27 2020 wally <wally> 3.9.0-1.mga8
+ Revision: 1561043
- new version 3.9.0
- update cleanerlml to 20200315 snapshot
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Mar 24 2019 daviddavid <daviddavid> 2.2-1.mga7
+ Revision: 1379887
- new version: 2.2

* Wed Mar 13 2019 wally <wally> 2.0-1.mga7
+ Revision: 1375811
- new version 2.0
- update clearnerml snapshot to 20190313

* Tue Sep 18 2018 umeabot <umeabot> 1.8-4.mga7
+ Revision: 1261419
- Mageia 7 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.8-3.mga7
+ Revision: 1260186
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Thu Dec 10 2015 doktor5000 <doktor5000> 1.8-1.mga6
+ Revision: 909300
- new version 1.8
- updated cleanerml plugins snapshot

* Thu Dec 04 2014 doktor5000 <doktor5000> 1.6-1.mga5
+ Revision: 801516
- added additional released cleanerml plugins
  o taken from https://github.com/az0/cleanerml
- new stable version 1.6
- added conditional handling for prerelease versions

* Wed Oct 15 2014 umeabot <umeabot> 1.3-0.beta.3.mga5
+ Revision: 745376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-0.beta.2.mga5
+ Revision: 678170
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 dams <dams> 1.3-0.beta.1.mga5
+ Revision: 664360
- new version: beta 1.3

* Sat Jun 28 2014 pterjan <pterjan> 1.2-1.mga5
+ Revision: 640906
- 1.2

* Mon Dec 23 2013 dams <dams> 1.0-1.mga4
+ Revision: 560211
- new version 1.0 final

* Tue Oct 22 2013 umeabot <umeabot> 1.0-0.beta2.2.mga4
+ Revision: 545061
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 1.0-0.beta2.1.mga4
+ Revision: 500722
- new version 1.0 (beta2)

* Mon Jul 22 2013 dams <dams> 0.9.6-1.mga4
+ Revision: 457157
- new version 0.9.6

* Tue Mar 26 2013 dams <dams> 0.9.5-1.mga3
+ Revision: 405330
- new version 0.9.5
- new icon for a better rendering in GNOME 3

* Wed Jan 23 2013 fwang <fwang> 0.9.3-4.mga3
+ Revision: 391394
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 346913
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 0.9.3-2.mga3
+ Revision: 324344
- rebuild for Mga3 Beta1

* Sat Aug 25 2012 kamil <kamil> 0.9.3-1.mga3
+ Revision: 283795
- new version 0.9.3

* Thu Apr 05 2012 kamil <kamil> 0.9.2-2.mga2
+ Revision: 228736
- fix requirements against Mageia packages (gnome-python2 -> gnome-python and pygtk2 -> pygtk2.0)

* Thu Apr 05 2012 kamil <kamil> 0.9.2-1.mga2
+ Revision: 228722
- new version 0.9.2
- adapt .spec for Mageia
- imported package bleachbit

